Name:          perl-Text-Glob
Version:       0.11
Release:       7
Summary:       Match globbing patterns against text
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/Text-Glob
Source0:       https://cpan.metacpan.org/authors/id/R/RC/RCLAMP/Text-Glob-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: perl-generators, perl, perl(ExtUtils::MakeMaker), perl(Exporter)
BuildRequires: perl(Test::More), perl(constant), perl(strict), perl(vars)
Requires:      perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Text::Glob implements glob(3) style matching that
can be used to match against text, rather than fetching
names from a filesystem. If you want to do full file
globbing use the File::Glob module instead.

%package       help
Summary:       man files for %{name}
Requires:      man

%description   help
This package includes man files for %{name}.

%prep
%autosetup -n Text-Glob-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorlib}/Text

%files help
%{_mandir}/man*/*

%changelog
* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.11-7
- Package init
